Fork me on GitHub"

# skbio.sequence.DNA.degenerates

DNA.degenerates()

  Find positions containing degenerate characters in the sequence.

  State: Stable as of 0.4.0.

  Returns

    Boolean vector where `True` indicates a degenerate character is present at that position in the biological sequence.

  Return type

    1D np.ndarray (bool)

  See also

  `has_degenerates`, `definites`, `has_definites`

  Examples

      >>> from skbio import DNA
      >>> s = DNA('ACWGN')
      >>> s.degenerates()
      array([False, False,  True, False,  True], dtype=bool)